> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Health

> Unauthenticated readiness probe — also reports what this instance can do.



## OpenAPI

````yaml /openapi.json get /health
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /health:
    get:
      summary: Health
      description: >-
        Unauthenticated readiness probe — also reports what this instance can
        do.
      operationId: health_health_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
          description: Successful Response
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Internal server error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
          description: Readiness dependency unavailable
      security: []
components:
  schemas:
    HealthResponse:
      additionalProperties: false
      properties:
        api_version:
          title: Api Version
          type: string
        auth_mode:
          enum:
            - open
            - legacy_api_key
            - required
          title: Auth Mode
          type: string
        auth_required:
          title: Auth Required
          type: boolean
        db_connected:
          title: Db Connected
          type: boolean
        llm_configured:
          title: Llm Configured
          type: boolean
        models:
          items:
            type: string
          title: Models
          type: array
        packs:
          items:
            type: string
          title: Packs
          type: array
        status:
          enum:
            - ok
            - degraded
          title: Status
          type: string
      required:
        - status
        - packs
        - llm_configured
        - models
        - auth_required
        - api_version
        - db_connected
        - auth_mode
      title: HealthResponse
      type: object
    ApiErrorResponse:
      additionalProperties: false
      properties:
        detail:
          anyOf:
            - $ref: '#/components/schemas/ErrorDetail'
            - type: string
            - items: {}
              type: array
            - additionalProperties: true
              type: object
          title: Detail
      required:
        - detail
      title: ApiErrorResponse
      type: object
    ErrorDetail:
      additionalProperties: false
      description: Stable structured detail returned by versioned API errors.
      properties:
        code:
          title: Code
          type: string
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
        message:
          title: Message
          type: string
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - code
        - message
      title: ErrorDetail
      type: object

````